/*
 * Read a CRLF-terminated line from a socket
 *
 * $Id: line.h,v 1.1 2005/04/13 12:47:47 akr Exp $
 */

#ifndef _LINE_H
#define _LINE_H	1

#include <sys/types.h>

ssize_t	recvline(int i, char*line, int maxsize, int fl);
void	buffer_overrun(char *tag, char *buf, int limit);
int	trim_eol(char *);

#endif /* _LINE_H */
